Modify

Opened 11 years ago

Closed 9 years ago

Last modified 4 years ago

#2027 closed defect (fixed)

openswan _realsetup script uses unsupported ps options

Reported by: mvalsasna@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version:
Keywords: Cc:

Description

hi folks,

I noticed that on kamikaze 7.06 /usr/lib/ipsec/_realsetup uses unsupported ps options. this causes the script to fail to kill the pluto process on ipsec restat.

# grep "ps -" /usr/lib/ipsec/_realsetup

if ps -p '' cat $plutopid '' ">" /dev/null ";" \
if ps -p cat $plutopid >/dev/null
elif ps -C pluto >/dev/null

elif ps -C pluto >/dev/null

Attachments (0)

Change History (3)

comment:1 Changed 11 years ago by paul@…

If you mail me the full error, I'll see about fixing this. (I am an openswan developer)

comment:2 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

I assume you guys have been fixing this into the mainline openswan tree.

comment:3 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.